#ifndef FLUID_H_
#define FLUID_H_

#include "simulation.h"

extern struct simulation sim;

void hydrostatic_fluid_pressure_distribution(struct simulation *sim);

int set_largest_fluid_timestep(struct simulation *sim, const double safety);

int darcy_solver_1d(struct simulation *sim,
                    const int max_iter,
                    const double rel_tol);

#endif
